/*
 * HTML to LaTeX mod ELM
 *   
 *  Copyright (C) 2006, 2010 Michal Kebrt
 *  Copyright (C) 2015 Francesco Santeramo
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  Michal Kebrt is the author of the htmltolatex project, created in 2006
 *  and with a stable version released in 2010. The project in 2015 has been
 *  modified by Francesco Santeramo, becoming the htmltolatexmodelm
 *  library, released under GPLv3 with the permission of Michal Kebrt and 
 *  used in the development of the Event Log Manager (Open Source project). 	
 */

package cz.kebrt.html2latex;


/**
 *  Fatal error - leads to program exit.
 */
@SuppressWarnings("serial")
public class FatalErrorException extends Exception {
    
    /**
     * Cstr.
     * @param str error description
     */
    public FatalErrorException(String str) {
        super("Fatal error: " + str);
    }    
}


/**
 * Error - not so heavy as {@link FatalErrorException fatal error}.
*/
@SuppressWarnings("serial")
class ErrorException extends Exception {
    
    /**
     * Cstr.
     * @param str error description
     */
    public ErrorException(String str) {
        super("Error: " + str);
    }    
}

/**
 *  Configuration item (element, entity, CSS property) wasn't found
 *  in the cofiguration.
*/
@SuppressWarnings("serial")
class NoItemException extends Exception {
    
    /**
     * Cstr.
     * @param item item name
     */
    NoItemException(String item) {
        super("Can't find specified config item " + item);
    }
}
